<?php
require ('config.php');
require ('../lang.php');
require ('../files/dbstart.php');
require ('../files/session.php');
?>
<!DOCTYPE html>
<html>

<?php
require ('../files/head.php');
?>

<body class="hold-transition skin-blue sidebar-mini">

<?php
require('../files/header.php');
?>

<?php
require('sidebar.php');
?>

<div class="wrapper">
    <div class="content-wrapper">
        <section class="content">
            <div class="box box-primary">
                <div class="box-body">


                    <h3><strong><?php echo $lang['add']; ?>
                            /<?php echo $lang['edit']; ?> <?php echo $lang['record']; ?></strong></h3>


                    <ul class="nav nav-tabs">
                        <li class="active"><a data-toggle="tab" href="#step1" id="tab-step1"><?php echo $lang['step1']; ?></a></li>
                        <li><a data-toggle="tab" href="#step2" id="tab-step2"><?php echo $lang['step2']; ?></a></li>
                    </ul>

                    <div class="tab-content">

                        </br>


                        <!-- Step 1 content -->


                        <div id="step1" class="tab-pane fade in active">
                            <div class="form-group">

                                <div class="panel panel-default">
                                    <div class="panel-heading"><strong><?php echo $lang['upload_images']; ?></strong>
                                    </div>
                                    <div class="panel-body">

                                        <h4><?php echo $lang['select_files']; ?></h4>

                                        <form action="" method="post" enctype="multipart/form-data" id="js-upload-form">
                                            <div class="form-inline">
                                                <div class="form-group">
                                                    <input id="fileupload" type="file" name="files[]" multiple>
                                                </div>
                                            </div>
                                        </form>

                                        <!-- Drop Zone -->
                                        <h4><?php echo $lang['drag_drop']; ?></h4>

                                        <div class="upload-drop-zone" id="drop-zone">
                                            <?php echo $lang['preview_note']; ?>
                                        </div>

                                        <!-- Progress Bar -->
                                        <div id="progress" class="progress">
                                            <div class="progress-bar progress-bar-success"></div>
                                        </div>

                                        <!-- Upload Finished -->
                                        <div id="list-files" class="js-upload-finished">
                                            <h3><?php echo $lang['processed']; ?></h3>

                                            <div class="list-group">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <h3><?php echo $lang['yt_get_screenshots']; ?></h3>

                                <?php echo $lang['yt_insert_url']; ?>:
                                <br><input type="text" class="form-control" id="yt-url">
                                <br>

                                <button type="button" id="btn-load-yt"
                                        class="btn btn-default btn-md"><?php echo $lang['yt_load']; ?></button>

                                <button type="button" id="btn-upload-mp4"
                                        class="btn btn-default btn-md " style="margin-left: 100px;"><?php echo $lang['upload_mp4']; ?></button>

                                <input name="fileupload2" type="file" id="fileupload2" class="btn btn-default pull-right" style="display: none;">

                                <p id="yt-load-anim">
                                    <img style="width: 25px; margin: 15px;"
                                         src="../assetsdemo/images/buffering.gif">
                                    <i id="buffering-msg"><?php echo $lang['wait_copying_yt'];?></i>
                                </p>

                                <div id="yt-container" class="form-group">
                                    <br>
                                    <video class="yt-area" id="vid" width="480px" height="360px" controls="controls" autoplay
                                        src="video/test.mp4"></video>

                                </div>

                                <p><?php echo $lang['yt_pause_text']; ?></p>

                                <p>
                                    <button id="btn-yt-screenshot" type="button"
                                            class="btn btn-default btn-md"><?php echo $lang['yt_video_screenshot']; ?></button>
                                </p>

                                <label><?php echo $lang['preview_rearrange']; ?></label>

                                <div id="list-yt-thumbs" class="box-body table-responsive round-border-box">

                                    <div class="thumb-img-gap"></div>
                                </div>
                                <br>
                                <button id="btn-proc" type="button"
                                        class="btn btn-primary btn-md"><?php echo $lang['save_proceed']; ?></button>

                            </div>
                        </div>


                        <!-- Step 2 content -->


                        <div id="step2" class="tab-pane fade">
                            <h3><?php echo $lang['yt_control_anim']; ?></h3>

                            <div class="row">

                                <!--left col starts here -->
                                <div class="col-sm-4">
                                    <label>Size</label>

                                    <br>
                                    <input id="gif-percent" name="resize_perect" type="text" size="3" value="100"> % - <input id="gif-width"
                                        name="resize_perect" type="text" size="4"> x <input id="gif-height" name="resize_perect"
                                                                                            type="text" size="4">


                                    <br><input id="gif-keep-prop" type="checkbox"> <?php echo $lang['keep_proportion']; ?>
                                    <br>
                                    <br>
                                    <label> <?php echo $lang['speed']; ?></label>
                                    <br>
                                    <input id="gif-interval" name="speed" type="text" size="4" value="500"> &nbsp; <?php echo $lang['milliseconds']; ?>


                                    <br><input id="gif-loop" type="checkbox"> <?php echo $lang['loop']; ?>
                                    <br><br>
                                    <button id="btn-gen-gif" type="button" name="save" class="btn btn-primary"
                                            value=""><?php echo $lang['save']; ?></button>
                                    <br><br>

                                </div>
                                
				<div class="col-sm-8">

                                    <?php echo $lang['yt_control_preview']; ?><br>
                                    <div class="gif-preview-box">
                                    </div>

                                </div>

                                <!--right col ends here -->
                            </div>

                            <!--row ends here -->


                        </div>


                        <!-- Step 3 content -->


                    </div>
                </div>
        </section>
    </div>
</div>


<?php
require('../files/footer.php');
?>

<?php
require('../files/bootfoot.php');
?>


<script src="../dist/js/fileupload/vendor/jquery.ui.widget.js"></script>
<script src="../dist/js/fileupload/jquery.iframe-transport.js"></script>
<script src="../dist/js/fileupload/jquery.fileupload.js"></script>

<script src="//netdna.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>

<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script src="../dist/js/gengif.js"></script>

<script>

    <?php if(isset($_GET['edit']) && isset($_GET['recordid'])){ ?>
        modifyType = 'edit';
        recordid = '<?php echo $_GET['recordid'];?>';
        <?php
            $res = getArrayWithQuery('
                select * from records where id='.$_GET['recordid'].' and userid='.$userid);
            if(count($res) == 0) exit;
            $record = $res[0];
            $rows = getArrayWithQuery("select imagepath from recordimages inner join images on recordimages.imageid=images.id where recordimages.recordid=".$_GET['recordid']);

            foreach($rows as $row){ ?>
                addThumbnail('<?php echo $row['imagepath']; ?>');
        <?php } ?>
    gif_width = <?php echo $record['width']?>;
    gif_height = <?php echo $record['height']?>;
    gif_percent = 100;
    interval = <?php echo $record['speed']?>;
    loop = (<?php echo $record['isloop']?> == 1)? true : false;

    initStep2();

    var arr = [];
    $('#list-yt-thumbs').find('img').each(function(){
        arr.push($(this).attr('src'));
    });
    loadAnimation(JSON.stringify(arr));

    <?php }else{ ?>
            modifyType='add';
    <?php } ?>

    var waiting_load_yt = '<?php echo $lang['wait_copying_yt']; ?>';

    $(function () {
        'use strict';
        // Change this to the location of your server-side upload handler:
        var url = window.location.hostname === 'blueimp.github.io' ?
            '//jquery-file-upload.appspot.com/' : 'upload/';


        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(gif|jpe?g|png)$/i,
            maxFileSize: 999000,
            done: function (e, data) {
                var list_files = $('#list-files');
                var inner_html = list_files.html();
                $.each(data.result.files, function (index, file) {

                    inner_html = inner_html + "<div class='list-group-item list-group-item-success'><a" +
                        " class='badge alert-success pull-right btn-add'><?php echo $lang['add_to_ws']; ?></a><a" +
                        " class='badge alert-error pull-right btn-del2'><?php echo $lang['delete']; ?></a>" +
                        "<div class='thumb-small-box'><img class='thumb-img' src='" +
                        file.fullpath + "'></div>&nbsp;" + file.name + "</div>";

                });

                list_files.html(inner_html);

                $('.btn-add').click(function(){
                    var src = $(this).parent().find('img').attr('src');
                    $(this).parent().remove();
                    addThumbnail(src);
                });

                $('.btn-del2').click(function(){
                    var src = $(this).parent().find('img').attr('src');
                    $(this).parent().remove();
                    delete_file(src);
                });
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
                );
            }
        }).prop('disabled', !$.support.fileInput)
            .parent().addClass($.support.fileInput ? undefined : 'disabled');

        $('#fileupload2').on('change', function(){
            var file = $(this).get(0).files[0];
            var formData = new FormData();
            formData.append('file', file);
            yt_loading = true;
            $.ajax({
                url: 'upload/getvideo.php',
                //Ajax events
                beforeSend: function (e) {

                },
                success: function (e) {
                    $('#vid').prop('src', e);
                    $('#yt-load-anim').hide();
                    yt_loading = false;
                    video_loaded = true;
                },
                error: function (e) {
                    alert(JSON.stringify(e));
                    $('#yt-load-anim').hide();
                    yt_loading = false;
                },
                // Form data
                data: formData,
                type: 'POST',
                cache: false,
                contentType: false,
                processData: false
            });
            $('#buffering-msg').html("<?php echo $lang['wait_uploading'];?>");
            $('#yt-load-anim').show();
        });


    });
</script>


</body>
</html>
