<?php

require ('config.php');
require ('../lang.php');
require ('../files/dbstart.php');
require ('../files/session.php');

error_reporting(0);

require('logger.php');

if(!isset($_SESSION['usertype']) || !isset($_GET['vid'])) return;

leaveLog('msg', $_SESSION['usertype'].'--'.$_GET['vid']);

$my_id = $_GET['vid'];

$result = array('status'=>'fail', 'value'=>'');

if( preg_match('/^(https?:\/\/)?(w{3}\.)?youtube.com\//', $my_id) )
{
    $url = parse_url($my_id);
    $my_id = null;

    if( is_array($url) && count($url)>0 && isset($url['query']) && !empty($url['query']) )
    {
        $parts = explode('&',$url['query']);

        if( is_array($parts) && count($parts) > 0 )
        {
            foreach( $parts as $p )
            {
                $pattern = '/^v\=/';

                if( preg_match($pattern, $p) )
                {
                    $my_id = preg_replace($pattern,'',$p);
                    break;
                }
            }
        }

        if( !$my_id )
        {
            $result['value'] = "No video id passed in";
            echo json_encode($result);
            exit;
        }
    }
    else
    {
        $result['value'] = "Invalid url";
        echo json_encode($result);
        exit;
    }
}
elseif( preg_match('/^(https?:\/\/)?youtu.be/', $my_id) )
{
    $url   = parse_url($my_id);
    $my_id = null;
    $my_id = preg_replace('/^(youtu\.be)?\//', '', $url['path']);
}

leaveLog('msg', $my_id);

parse_str(file_get_contents("http://youtube.com/get_video_info?video_id=".$my_id, false, stream_context_create()), $info); //decode the data
$streams = $info['url_encoded_fmt_stream_map']; //the video's location info

if($streams == null){
    $result['value'] = $info['reason'];
    echo json_encode($result);
    exit;
}

$streams = explode(',',$streams);

$format = 'video/mp4';

$output = '';

foreach($streams as $stream){
    parse_str($stream,$data); //decode the stream
	

    if(stripos($data['type'],$format) !== false){ 
        $video = fopen($data['url'].'&amp;signature='.$data['sig'],'r'); //the video

        $output = 'video/yt_'.$my_id.'.'.str_replace('video/','', $format);
        $file = fopen($output,'w');
        stream_copy_to_stream($video,$file); //copy it to the file
        fclose($video);
        fclose($file);
        break;
    }else{
        $result['value'] = "Format is of type" . $data['type'] ." not of type ".$format;
        echo json_encode($result);
       return;
    }
}

$result['status'] = 'success';
$result['value'] = $output;
echo json_encode($result);
leaveLog('msg', json_encode($result));
